Name: CCfits
Version: 2.3
Release: 1%{?dist}
Summary: A C++ interface for cfitsio

Group: Development/Libraries
License: BSD
URL: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits
Source0: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/%{name}-%{version}.tar.gz
Patch0: CCfits-1.6-removerpath.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: cfitsio-devel

%description
CCfits is an object oriented interface to the cfitsio library. It is designed 
to make the capabilities of cfitsio available to programmers working in C++. 
It is written in ANSI C++ and implemented using the C++ Standard Library 
with namespaces, exception handling, and member template functions.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: cfitsio-devel >= 3.250
Requires: %{name} = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package doc
Summary: Documentation for %{name}, includes full API docs
Group: Documentation
BuildArch: noarch
Obsoletes: CCfits-docs < 2.2-2
Provides: CCfits-docs = %{version}-%{release}
 
%description doc
This package contains the full API documentation for %{name}.

%prep
%setup -q -n CCfits
%patch0 -p1
rm -rf %{_builddir}/%{name}/html/*.pl

%build
%configure --disable-static --with-cfitsio=%{_prefix} --with-cfitsio-include=%{_includedir}/cfitsio
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make %{?_smp_mflags}  install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc License.txt
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%doc CHANGES 
%exclude %{_bindir}/cookbook
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/*.la
%{_includedir}/*

%files doc
%defattr(-,root,root,-)
%doc License.txt html

%changelog
* Fri Jul 09 2010 Sergio Pascual <sergiopr at fedoraproject.org> 2.3-1
- New upstream source

* Fri Jul 09 2010 Sergio Pascual <sergiopr at fedoraproject.org> 2.2-4
- Include license as documentation in -doc subpackages
- Rebuilt to match new cfitsio 3.250

* Wed Jan 27 2010 Sergio Pascual <sergiopr at fedoraproject.org> 2.2-3
- Renamed subpackage -docs to -doc, according to guidelines

* Wed Jan 27 2010 Sergio Pascual <sergiopr at fedoraproject.org> 2.2-2
- Rebuilt to match new cfitsio 3.240
- Removed require pkgconfig
- Using upstream pkgconfig file
- Minor fixes

* Thu Sep 10 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 2.2-1
- New upstream version, includes pkgconfig file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 2.1-4
- Noarch subpackage for docs

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Sergio Pascual <sergiopr at fedoraproject.org> 2.1-2
- Rebuilt to match new cfitsio 3.130

* Wed Dec 03 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.1-1
- New upstream source
- Rebuilt needed to fix bz #474087

* Sat Feb 09 2008 Sergio Pascual <sergiopr at fedoraproject.org> 2.0-1
- New upstream source

* Wed Nov 13 2007 Sergio Pascual <sergiopr at fedoraproject.org> 1.8-1
- New upstream source

* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.7-1.1
- Rebuild for Fedora 8 by bad binutils in ppc32

* Sun Jul 22 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.7-1
- New upstream source 1.7

* Thu Feb 01 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.6-2
- Patch to fix the include directives of cfitsio in header files.

* Mon Dec 11 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.6-1
- New upstream version 1.6. Only compiles with cfitsio >= 3.020.

* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.5-3
- Rebuild for FC6.

* Fri Jul 28 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.5-2
- Removed perl files in the documentation (bug #200517).

* Thu Jul 27 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.5-1
- New upstream source 1.5.
- Removed patch CCfits-1.4-g++4.patch (integrated in the source)
- Perl files in docs removed in the source.

* Wed Mar 08 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-4
- Removed explicit Buildrequires gcc-c++.

* Tue Mar 07 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-3
- Rebuilt with new upstream source.

* Mon Mar 06 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-2
- Removed Source with license file License.txt.

* Mon Feb 20 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-1
- Removed perl files in documentation.
- Changed license type to BSD.
- Main summary changed and trailing dots removed.
- Removed -rpath in the shared library.

* Thu Feb 16 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 1.4-0
- Initial spec file.
